<?php
// ---------------------------------------------------------------------------
// Формирует растровый слой с отображением объектов kml
// а также заказов, с которыми ведется работа
// ---------------------------------------------------------------------------

// ---------------------------------------------------------------------------
// Глобальные переменные
// ---------------------------------------------------------------------------

$tilesize = 256; // размер тайла
$nopoints = 16; // количество точек вдоль каждого ряда

// ---------------------------------------------------------------------------
// Основная программа
// ---------------------------------------------------------------------------

/*
if (!array_key_exists('box', $_GET)) {
	die ("No parameter box");
}

if (!array_key_exists('t', $_GET)) {
	die ("No parameter t");
}

if (!array_key_exists('z', $_GET)) {
	die ("No parameter z");
}

include("config.inc.php");

// запишем данные в таблички
$x = 0+$_GET['x'];
$y = 0+$_GET['y'];
$z = 0+$_GET['z'];

// имя клиента
if (array_key_exists('client', $_GET))
	$client = $_GET['client'];
else
	$client = $_SERVER['REMOTE_ADDR'];
*/

// а теперь начинаем рисовать картиночки
list($x1, $y1, $x2, $y2) = explode(',', $_GET['box']);
$x1 = 0 + $x1;
$x2 = 0 + $x2;
$y1 = 0 + $y1;
$y2 = 0 + $y2;

	$kml_beg = 
"<?xml version=\"1.0\" encoding=\"UTF-8\"?>
<kml xmlns=\"http://earth.google.com/kml/2.0\">
<Document>
";
	$kml_end = 
"</Document>
</kml>
";
$kml = "";
$header = "Content-Type: application/vnd.google-earth.kml+xml";

for ($ix = 0; $ix < $nopoints; $ix++)
{
	for ($iy = 0; $iy < $nopoints; $iy++)
	{
		$px = round(($x1 * ($nopoints - $ix - 0.5)+ $x2 * ($ix + 0.5)) / $nopoints, 6);
		$py = round(($y1 * ($nopoints - $iy - 0.5)+ $y2 * ($iy + 0.5)) / $nopoints, 6);
		$descr = "<a href=\"http://{$_SERVER['SERVER_NAME']}/editpoint.php?x=$px&y=$py\">Добавить точку</a><br>широта:
$px<br>долгота: $py<br>
<img src=\"http://{$_SERVER['SERVER_NAME']}/warning1.png\">";
		$kml = $kml."
<Placemark>
	 <description>
		<![CDATA[{$descr}]]>
	 </description>
	 <Point>
	  <coordinates>$px,$py,0</coordinates>
	 </Point>
  </Placemark>
";
	}
}

header($header);
if ($t == 'png') {
	imagepng($im);
	imagedestroy($im);
}
else {
	$kml = $kml_beg.$kml.$kml_end;
	echo $kml;
}
?>

